%{?nodejs_find_provides_and_requires}

%global packagename bcryptjs
%global enable_tests 1

Name:		nodejs-bcryptjs
Version:	2.4.3
Release:	5%{?dist}
Summary:	Optimized bcrypt in plain JavaScript with zero dependencies

License:	MIT
URL:		https://github.com/dcodeIO/bcrypt.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(metascript)
BuildRequires:	npm(utfx)
BuildRequires:	dos2unix
%if 0%{?enable_tests}
BuildRequires:	npm(bcrypt)
BuildRequires:	npm(colour)
BuildRequires:	npm(optjs)
BuildRequires:	npm(testjs)
%endif

%description
Optimized bcrypt in plain JavaScript with zero dependencies. Compatible to
'bcrypt'.


%prep
%setup -q -n package

%build
%nodejs_symlink_deps --build
%{__nodejs} scripts/build.js
rm -rf node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
chmod +x bin/bcrypt
sed -i '1!b;s/env node/node/' bin/bcrypt
dos2unix bin/bcrypt
dos2unix README.md
cp -pr package.json *.js bin/ dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/bcrypt \
    %{buildroot}%{_bindir}/bcrypt

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/testjs
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/bcrypt

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 2.4.3-1
- Update to upstream 2.4.3 release

* Mon Dec 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.4.0-1
- Update to upstream 2.4.0 release

* Fri Jul 08 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.0-2
- Fix up build from src and build dependencies

* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 2.3.0-1
- Initial packaging
